Get the rule types
- Base URL
-
https://{kibana_url}
- GET /api/alerting/rule_types
If you have read privileges for one or more Kibana features, the API response contains information about the appropriate rule types. For example, there are rule types associated with the Management > Stack Rules feature, Analytics > Discover and Machine Learning features, Observability features, and Security features. To get rule types associated with the Stack Monitoring feature, use the monitoring_user built-in role.
Responses
Indicates a successful call.
<array>object[]-
action_groupsobject[] -
An explicit list of groups for which the rule type can schedule actions, each with the action group's unique ID and human readable name. Rule actions validation uses this configuration to ensure that groups are valid.
-
action_variablesobject -
A list of action variables that the rule type makes available via context and state in action parameter templates, and a short human readable description. When you create a rule in Kibana, it uses this information to prompt you for these variables in action parameter editors.
-
alertsobject -
Details for writing alerts as data documents for this rule type.
-
contextenum -
The namespace for this rule type.
-
Values:
ml.anomaly-detectionobservability.apmobservability.logsobservability.metricsobservability.sloobservability.thresholdobservability.uptimesecuritystack -
isSpaceAwareboolean -
Indicates whether the alerts are space-aware. If true, space-specific alert indices are used.
-
mappingsobject -
fieldMapmap string to object -
Mapping information for each field supported in alerts as data documents for this rule type. For more information about mapping parameters, refer to the Elasticsearch documentation.
-
<string>object -
formatstring -
Indicates the format of the field. For example, if the
typeisdate_range, theformatcan beepoch_millis||strict_date_optional_time. -
ignore_aboveinteger -
Specifies the maximum length of a string field. Longer strings are not indexed or stored.
-
propertiesmap string to object -
Details about the object properties. This property is applicable when
typeisobject. -
categoryenum -
The rule category, which is used by features such as category-specific maintenance windows.
-
Values:
managementobservabilitysecuritySolution -
does_set_recovery_contextboolean -
Indicates whether the rule passes context variables to its recovery action.
-
enabled_in_licenseboolean -
Indicates whether the rule type is enabled or disabled based on the subscription.
-
is_exportableboolean -
Indicates whether the rule type is exportable in Stack Management > Saved Objects.